ConstructionBrushPlaceableExtension = {}

function ConstructionBrushPlaceableExtension.verifyPlacement(self, superFunc, x, y, z, rotY)
    local returnValue = superFunc(self, x, y, z, rotY)

    local isPastureExtension = SpecializationUtil.hasSpecialization(PlaceablePastureExtension, self.placeable.specializations)

    if isPastureExtension then
        if #g_currentMission.pastureSystem:availablePastures() == 0 then
            return ConstructionBrushPlaceable.ERROR.CANNOT_BE_BOUGHT
        end
    end

    return returnValue
end

ConstructionBrushPlaceable.verifyPlacement = Utils.overwrittenFunction(ConstructionBrushPlaceable.verifyPlacement, ConstructionBrushPlaceableExtension.verifyPlacement)